import { Component, Input, OnInit } from '@angular/core';
import { BaseComponent } from 'app/shared/components/base/base.component';
import { SidebarNav } from 'app/core/services/sidebar-nav.service';

@Component({
  selector: 'ngx-side-nav',
  templateUrl: './side-nav.component.html',
  styleUrls: ['./side-nav.component.scss']
})
export class SideNavComponent extends BaseComponent implements OnInit {
  @Input() nav: SidebarNav;

  constructor() {
    super();
  }

  ngOnInit(): void {

  }
}
