import { Component, OnInit } from '@angular/core';
import { NbDialogRef } from '@nebular/theme';
import { Submission } from '../../models/submission';

@Component({
  selector: 'ngx-dialog-submission-decision',
  templateUrl: './dialog-submission-decision.component.html',
  styleUrls: ['./dialog-submission-decision.component.scss']
})
export class DialogSubmissionDecisionComponent {
  submission: Submission;

  constructor(protected ref: NbDialogRef<DialogSubmissionDecisionComponent>) {}

  cancel() {
    this.ref.close({
      cancel: true
    });
  }

  setPassed(passed: boolean | null) {
    this.ref.close({
      passed: passed
    });
  }
}
