import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { SharedModule } from 'app/shared/shared.module';
import { ModulesRoutingModule } from './modules-routing.module';
import { NewTermComponent } from './pages/new-term/new-term.component';
import { EditTermComponent } from './pages/edit-term/edit-term.component';
import { TermFormComponent } from './components/term-form/term-form.component';
import { TermsComponent } from './pages/terms/terms.component';
import { TermListComponent } from './components/term-list/term-list.component';

@NgModule({
  declarations: [
    TermsComponent,
    TermFormComponent,
    NewTermComponent,
    EditTermComponent,
    TermListComponent
  ],
  imports: [
    CommonModule,
    SharedModule,
    ModulesRoutingModule
  ]
})
export class ModulesModule { }
