package de.hsrm.sls.subato.exercises.exercise.progress;

import de.hsrm.sls.subato.exercises.exercise.AssessmentMode;
import de.hsrm.sls.subato.exercises.submission.progress.SubmissionsProgress;

import java.util.List;

public class ExerciseProgressResult {
    private List<ExerciseProgress> exerciseProgresses;
    private SubmissionsProgress submissionsProgress;

    public ExerciseProgressResult(List<ExerciseProgress> exerciseProgresses, SubmissionsProgress submissionsProgress) {
        this.exerciseProgresses = exerciseProgresses;
        this.submissionsProgress = submissionsProgress;
    }

    public List<ExerciseProgress> getExerciseProgresses() {
        return exerciseProgresses;
    }

    public void setExerciseProgresses(List<ExerciseProgress> exerciseProgresses) {
        this.exerciseProgresses = exerciseProgresses;
    }

    public SubmissionsProgress getSubmissionsProgress() {
        return submissionsProgress;
    }

    public void setSubmissionsProgress(SubmissionsProgress submissionsProgress) {
        this.submissionsProgress = submissionsProgress;
    }

    public long getExercisesTotal() {
        return exerciseProgresses.stream().count();
    }

    public long getExercisesBinaryTotal() {
        return exerciseProgresses.stream().filter(e -> e.getExercise().getAssessmentMode() == AssessmentMode.Binary).count();
    }
}
