package de.hsrm.sls.subato.seed.exercise;

import de.hsrm.sls.subato.exercises.exercise.AssessmentMode;

import java.time.LocalDateTime;
import java.util.List;

final class ExerciseSeed {
    private Long id;
    private String name;
    private String description;
    private String summary;
    private LocalDateTime dueTo;
    private int numberC;
    private long courseId;
    private AssessmentMode assessmentMode;
    private Long sourceId;
    private List<TaskInstanceSeed> taskInstances;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getSummary() {
        return summary;
    }

    public void setSummary(String summary) {
        this.summary = summary;
    }

    public LocalDateTime getDueTo() {
        return dueTo;
    }

    public void setDueTo(LocalDateTime dueTo) {
        this.dueTo = dueTo;
    }

    public int getNumberC() {
        return numberC;
    }

    public void setNumberC(int numberC) {
        this.numberC = numberC;
    }

    public long getCourseId() {
        return courseId;
    }

    public void setCourseId(long courseId) {
        this.courseId = courseId;
    }

    public AssessmentMode getAssessmentMode() {
        return assessmentMode;
    }

    public void setAssessmentMode(AssessmentMode assessmentMode) {
        this.assessmentMode = assessmentMode;
    }

    public Long getSourceId() {
        return sourceId;
    }

    public void setSourceId(Long sourceId) {
        this.sourceId = sourceId;
    }

    public List<TaskInstanceSeed> getTaskInstances() {
        return taskInstances;
    }

    public void setTaskInstances(List<TaskInstanceSeed> taskInstances) {
        this.taskInstances = taskInstances;
    }

    static class TaskInstanceSeed {
        private long taskId;
        private boolean solutionPublic;
        private int orderNumber;

        public long getTaskId() {
            return taskId;
        }

        public void setTaskId(long taskId) {
            this.taskId = taskId;
        }

        public boolean isSolutionPublic() {
            return solutionPublic;
        }

        public void setSolutionPublic(boolean solutionPublic) {
            this.solutionPublic = solutionPublic;
        }

        public int getOrderNumber() {
            return orderNumber;
        }

        public void setOrderNumber(int orderNumber) {
            this.orderNumber = orderNumber;
        }
    }
}
