package de.hsrm.sls.subato.user;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import de.hsrm.sls.subato.auth.masking.TaskMasker;
import de.hsrm.sls.subato.auth.masking.UserSummaryMasker;

@JsonSerialize(converter = UserSummaryMasker.class)
public class UserSummaryDto {
    private long id;
    private String loginName;
    private String firstName;
    private String lastName;
    private String name;
    private String mail;

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public String getFirstName() {
        return firstName;
    }

    public void setFirstName(String firstName) {
        this.firstName = firstName;
    }

    public String getLastName() {
        return lastName;
    }

    public void setLastName(String lastName) {
        this.lastName = lastName;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getLoginName() {
        return loginName;
    }

    public void setLoginName(String loginName) {
        this.loginName = loginName;
    }

    public String getMail() {
        return mail;
    }

    public void setMail(String mail) {
        this.mail = mail;
    }
}
