import { ExerciseProgress } from "./exercise-progress";
import { SubmissionsProgress } from "./submissions-progress";

export class ExerciseProgressResult {
    exerciseProgresses: ExerciseProgress[];
    submissionsProgress: SubmissionsProgress;
    exercisesBinaryTotal: number;
    exercisesTotal: number;

    constructor(result: any) {
        this.exerciseProgresses = result.exerciseProgresses.map(p => new ExerciseProgress(p));
        this.submissionsProgress = new SubmissionsProgress(result.submissionsProgress);
        this.exercisesBinaryTotal = result.exercisesBinaryTotal;
        this.exercisesTotal = result.exercisesTotal;
    }
}