export class StyleCheckResult {
    file: string;
    message: string;
    severity: string;
    line: string;
    col: string;

    constructor(styleCheckResult: any) {
        this.file = styleCheckResult.file;
        this.message = styleCheckResult.message;
        this.severity = styleCheckResult.severity;
        this.line = styleCheckResult.line;
        this.col = styleCheckResult.col;
    }

    get passed(): boolean {
        return !this.message;
    }
}