package de.hsrm.sls.subato.courses.unit;

import de.hsrm.sls.subato.courses.course.Course;
import de.hsrm.sls.subato.user.User;

import java.util.List;

public class CreateCourseUnitRequest {
    private Course course;
    private String name;
    private CourseUnitType type;
    private Long aorId;
    private List<User> participants;
    private List<User> lecturers;

    public CreateCourseUnitRequest(Course course, String name, CourseUnitType type, Long aorId, List<User> participants, List<User> lecturers) {
        this.course = course;
        this.name = name;
        this.type = type;
        this.aorId = aorId;
        this.participants = participants;
        this.lecturers = lecturers;
    }

    public Course getCourse() {
        return course;
    }

    public String getName() {
        return name;
    }

    public CourseUnitType getType() {
        return type;
    }

    public Long getAorId() {
        return aorId;
    }

    public List<User> getParticipants() {
        return participants;
    }

    public List<User> getLecturers() {
        return lecturers;
    }
}
