package de.hsrm.sls.subato.exercises.submission;

import de.hsrm.sls.subato.exercises.exercise.Exercise;
import de.hsrm.sls.subato.exercises.submission.progress.SubmissionsProgress;

import java.util.List;

public class ExerciseSubmissions {
    private Exercise exercise;
    private List<Submission> submissions;
    private SubmissionsProgress progress;

    public ExerciseSubmissions(Exercise exercise, List<Submission> submissions) {
        this.exercise = exercise;
        this.submissions = submissions;
        this.progress = SubmissionsProgress.fromSubmissions(submissions);
    }

    public Exercise getExercise() {
        return exercise;
    }

    public List<Submission> getSubmissions() {
        return submissions;
    }

    public SubmissionsProgress getProgress() {
        return progress;
    }
}
