package de.hsrm.sls.subato.shared;

import javax.persistence.criteria.CriteriaBuilder;
import javax.persistence.criteria.Expression;
import javax.persistence.criteria.Path;
import javax.persistence.criteria.Predicate;
import java.util.Optional;

public class QueryPredicates {
    public static Predicate ignoreCaseContains(CriteriaBuilder cb, Optional<String> q, Expression<String> path) {
        return q.isPresent() ? cb.like(cb.lower(path), "%" + q.get().toLowerCase() + "%") : null;
    }
}